#### D.7.4.2 torus

Procedure from library `invar.lib` (see invar_lib).

Usage:
  torus(<int>)

Returns:
  torus(n) sets the current group to an n-dimensional torus. The following global variables will be changed:
  group of type <ring>
  groupideal of type <ideal>
  reynolds of type <proc>
  The quotient of of `group` and `groupideal` is the coordinate ring of an n-dimensional torus. The basering will be set to 'group'.

Example:

    LIB "invar.lib";
    torus(3);
    Invar::group;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    g(1) g(2) g(3) g(4)
    ==> //        block   2 : ordering C
    groupideal;
    ==> groupideal[1]=g(1)*g(2)*g(3)*g(4)-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.